Plugins

From Monstersgame wiki
Jump to navigationJump to search

Plugins aktualisieren - Sicherheitsluecken schließen, hier informationen bzw. links zu den Seiten der Plugins . Dieser Artikel ist fuer Firefox Angepasst, ist aber mit jedem anderen Browser auch so zu realisieren und durchzufuehren . Hier werden wir auch Aktualisierungen ueber Plugins bekannt geben, oder jeder kann es machen der mithelfen moechte :)


Einleitung

Browser aus Sicherheitsgruenden regelmaessig zu aktualisieren, ist den meisten Nutzern bewusst. Weniger bekannt ist, dass die eingebetteten Plugins des oefteren selber von Sicherheitsluecken betroffen sind. Im schlimmsten Fall kann ein Angreifer aufgrund veralteter Plugins Kontrolle ueber den Rechner erlangen und beliebigen Schadcode ausfuehren. Auch kann es vorkommen dass Webseiten lahmen, Abstuerze des Browsers etc. Aus diesem Grund moechte ich an dieser Stelle ein paar Hinweise zur Aktualisierung haeufig verwendeter Plugins geben.

Allgemeines

Plugins sind Zusatzmodule mit denen bestimmte Formate wie beispielsweise Flash, Quicktime oder Java-Applets ausgefuehrt werden koennen. Grundsaetzlich sollten nur solche Plugins installieren werden, die man auch tatsaechlich benoetigt. Jedes installierte Plugin bietet zusaetzliche Angriffsfläche zur Ausnutzung von Sicherheitsluecken auch dauert der Start des Browsers nur unoetig laenger wenn man zu viel unnoetige Plugins mit sich schleppt. Nicht mehr benoetigte Plugins koennen im Regelfall ueber die Windows-Systemsteuerung, Punkt "Software" deinstalliert werden. In Firefox installierte Plugins koennen in der Adressleiste durch die Eingabe von "about:plugins" abgefragt werden. Ab Firefox 3.0 ist die Abfrage der Plugins auch über den Menuepunkt "Extras" -> "Add-ons" -> Reiter "Plugins" moeglich.

Oft gibt es bei den Installationsprogrammen dieser Plugins noch nette Anhängsel wie "Yahoo!-Toolbar" o.Ä. für den entsprechenden Browser. Von der Mitinstallation dieser sollte man absehen, da sie Sicherheitslücken enthalten könnten (und normalerweise nicht wirklich gebraucht werden). Daher den Haken bei der entsprechenden Nachfrage entfernen.

z.b. hier : Yahootoolbar.png

Ueberpruefung auf veraltete Plugins

Auch Plugins besonders auch veralte können ein Sicherheitsrisiko beim Surfen sein, daher ist es wichtig wenn man Plugins nötig hat diese dann immer auf dem aktuellsten Stand zu halten !
Es ist immer besser nicht benötigte Plugins zu deaktivieren bzw. zu deinstallieren.

siehe dazu auch : Sicherheitshinweise

Haeufig verwendete Plugins

Die folgende Auflistung bezieht sich auf Windows 10 (2004) Fuer andere Betriebssysteme wie Linux kann es abweichende Versionsstaende geben.


Adobe Reader

  • Adobe Reader DC (ehemals Acrobat Reader)(Kostenlos)

Aktuelle Version: 2020.013.20074

Zweck: Anzeige von PDF-Dokumenten

Download: http://get.adobe.com/de/reader/

Hinweis: Ältere Reader-Versionen (9.0 oder älter) sollten zuvor unbedingt über die Windows-Systemsteuerung deinstalliert werden!

Adobe Flash Player

  • Adobe Flash Player (ehemals Macromedia Flash Player)

Aktuelle Version: 32.0.0.465 ( wird am 31.12.2020 eingestellt) bitte löschen von euren Systemen !

Zweck: Wiedergabe von Flash-Animationen (*.swf) Download: http://www.adobe.com/go/getflashplayer_de Hinweise: Flash muss fuer Mozilla Firefox und den Internet Explorer getrennt aktualisiert werden. Daher sollte die oben genannte Webseite auch mit dem Internet Explorer besucht und der Flash-Player aktualisiert werden. Die jeweils installierte Versionsnummer kann ueber die Webseite http://www.adobe.com/software/flash/about/ abgefragt werden.

Oracle Java SE Runtime Environment (JRE)

  • Oracle Java SE Runtime Environment (JRE) (ehemals Sun Java)

Aktuelle Version: Version 8 Update 271

Zweck: Nutzung von Java-Anwendungen bspw. Java Applet

Download: http://java.com/de/download oder http://www.oracle.com/technetwork/java/javase/downloads/index.html

Hinweise: Die aktuell installierte Versionsnummer kann ueber die Windows-"Systemsteuerung" -> Punkt "Java" -> Button "Anwendungsinfo" abgefragt werden. Aeltere Java-Versionen mit Sicherheitsluecken sollten unbedingt über die Windows-Systemsteuerung deinstalliert werden! Einige (meist gewerbliche) Programme oder Web-Applikationen sind auf bestimmte aeltere Java-Versionen angewiesen. Nur in einem solchen Fall sollte eine alte Java-Version auf dem PC verbleiben.

Real Player

  • Real Player

Aktuelle Version: 18.1.16.215 (25. Februar 2019)(Windows)

Zweck: Wiedergabe von Video- und Audiodaten im Real-Format (*.rm)

Download: https://www.real.com/de

Hinweis: Der RealPlayer kann auch ueber die Programmfunktion "Extras" -> "Auf Update ueberpruefen" aktualisiert werden.

Apple Quicktime Player

  • Apple Quicktime Player

Aktuelle Version: 7.7.9

Zweck: Wiedergabe von Video- und Audiodaten im Quicktime-Format (*.mov)

Download: http://www.apple.com/de/quicktime/download/

  • Wichtig: QuickTime 7 für Windows wird von Apple nicht mehr unterstützt. Neuere Windows-Versionen, die seit 2009 veröffentlicht wurden, unterstützen die wichtigsten Medienformate standardmäßig. Dazu zählen die von QuickTime 7 aktivierten Standards H.264 und AAC. Bei allen aktuellen Windows-Webbrowsern sind für die Videowiedergabe keine Browser-Plug-Ins erforderlich. Wenn Sie QuickTime 7 nicht mehr auf Ihrem PC benötigen, folgen Sie den Anweisungen zum Deinstallieren von QuickTime 7 für Windows.

Historie der letzten zehn Aktualisierungen:

  • 30.12.2020 Oracle Java Version: Version 8 Update 271
  • 30.12.2020 Adobe Flash Player Version: 32.0.0.465 ( wird am 31.12.2020 eingestellt) bitte löschen von eurem System !
  • 30.12.2020 Adobe Reader DC : 2020.013.20074 ( wird am 31.12.2020 eingestellt)
  • 23.10.2020 Adobe Flash Player Version: 32.0.0.445 ( wird am 31.12.2020 eingestellt)
  • 25.09.2020 Adobe Reader Version: Version 2020.012.20048
  • 25.09.2020 Adobe Flash Player Version: 32.0.0.433
  • 05.09.2020 Adobe Reader Version: Version 2020.012.20041
  • 05.09.2020 Adobe Flash Player Version: 32.0.0.414
  • 02.08.2020 Oracle Java Version: Version 8 Update 261
  • 02.08.2020 Adobe Flash Player Version: 32.0.0.403

Siehe auch :

Sicherheitshinweise

LogIn Probleme